#SpringDoc Swagger UI Generation
springdoc:
  api-docs:
    path: /api-docs
  swagger-ui:
    path: /swagger-ui.html
  show-actuator: true

#Spring Boot
spring:
  servlet:
    multipart:
      max-file-size: 10GB
      max-request-size: 10GB
  mvc:
    async:
      request-timeout: 3600000

#SnakeYaml
snakeYaml:
  dumper:
    indent: 2
    prettyFlow: true

#AWS
aws:
  s3:
    bucket:
      region: <QA-AWS-REGION>
      name: <QA-BUCKET-NAME>
  sqs:
    url: <QA-SQS-URL>
    region: <QA-SQS-REGION>

#Redis
redis:
  nodeAddress: <QA-REDIS-ADDRESS>

ml:
  registry:
    artifacts:
      yaml: artifacts.yml
    branch:
      master: master
    repositories:
      id: <APP-ID>
      yaml: repositories.yml
      name: ml-registry
    gitlab:
      url: https://gitlab.com
      token: <GITLAB-TOKEN>

---
#Stage Config
spring:
  config:
    activate:
      on-profile: stage

redis:
  nodeAddress: <STAGE-REDIS-ADDRESS>

aws:
  s3:
    bucket:
      name: <STAGE-BUCKET-NAME>
  sqs:
    url: <STAGE-SQS-URL>
---
#Production  Config
spring:
  config:
    activate:
      on-profile: prod
#AWS
aws:
  s3:
    bucket:
      region: <PROD-AWS-REGION>
      name: <PROD-S3-BUCKET-NAME>
  sqs:
    url: <PROD-SQS-URL>
    region: <PROD-SQS-REGION>

#Redis
redis:
  nodeAddress: <PROD-REDIS-ADDRESS>